Subject: Re: bug#73954: 30.0.91; Don't hard-couple `dired-hide-details-hide-absolute-location' with `dired-hide-details-mode'

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Feb 2025 17:31:11 -0800

Drew Adams <[email-masked]> writes:

> Starting with Emacs 30 Dired directory header lines apparently show
> relative names when `dired-hide-details-mode' is on, if option
> `dired-hide-details-hide-absolute-location' is non-nil.
>
> (The only Windows v30 pretest snapshot I found doesn't have this option,
> so I'm going only by the description from bug #72272.)
>
> The behavior of being able to show only a relative name is a good one,
> but it shouldn't be hard-coupled with `dired-hide-details-mode'.  Users
> should be able to choose:
>
>  nil                         Always show absolute name.
>                              (This needs to stay the default.)
>  if-dired-hide-details-mode  Show relative name only when
>                              `dired-hide-details-mode' is on.
>  t                           Always show relative name.
>  FUNCTION                    Show relative name only when invoking
>                              FUNCTION with no args returns non-nil.
>
> The most important behaviors are for nil, t, and
> `if-hiding-detail-columns'.  FUNCTION is a nice-to-have.
>
> (An alternative would be to use t for showing relative name when
> `dired-hide-details-mode' is on and `always' for showing relative names
> always.  That keeps the current pre-release behavior for t.  I don't
> think it's preferable, but it's a possibility.)

AFAIU, this behavior was changed in Emacs 31 to be like you suggest, so
I'm closing this bug.